httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Balaji Katika <balaji.kat...@gmail.com>
Subject [users@httpd] Issues building apache httpd-2.4.6-1.x86_64 on SUSE Linux Enterprise Server 11 (x86_64) - Kindly help
Date Wed, 18 Sep 2013 05:53:51 GMT
Hi all,

I have downloaded httpd-2.4.6.tar.bz2 from
http://httpd.apache.org/download.cgi#apache24 onto my SuSE Linux Enterprise
Server 11 (64-bit) machine (11.2) and trying to build an rpm through it as
per the instructions mentioned at
http://httpd.apache.org/docs/2.4/platform/rpm.html

I have resolved the missing -devel packages (several reported earlier like
pcre,libuuid-devel etc.,). However, I couldn't found the source for the
below dependencies.


*  Is there any readily available rpm for the specific version (or the
compliant) of SuSE Linux 11.2 ?
*  Can someone point me to any apache specific repository for SuSE Linux ?
*  Any relevant information shall be appreciated ?

The repos's mentioned at
http://en.opensuse.org/Additional_package_repositories#Apache doesn't seem
to be pointing to a valid URL.

blr-3rd-2-dhcp330:~/apache # rpmbuild -ts httpd-2.4.6.tar.bz2
error: Failed build dependencies:
        apr-devel >= 1.4.0 is needed by httpd-2.4.6-1.x86_64
        apr-util-devel >= 1.4.0 is needed by httpd-2.4.6-1.x86_64
        openldap-devel is needed by httpd-2.4.6-1.x86_64
        distcache-devel is needed by httpd-2.4.6-1.x86_64

My zypper is currently referring to the repository
http://download.opensuse.org/distribution/11.4/repo/oss/suse

blr-3rd-2-dhcp330:~/apache # zypper lr -u
# | Alias            | Name             | Enabled | Refresh |
URI
--+------------------+------------------+---------+---------+-------------------------------------------------------------
1 | official_oss_114 | official_oss_114 | Yes     | No      |
http://download.opensuse.org/distribution/11.4/repo/oss/suse
blr-3rd-2-dhcp330:~/apache #


Thanks in advance
Balaji Katika

Mime
View raw message